Name:          libggz
Version:       0.0.14.1
Release:       2mamba
Summary:       GGZ Gaming Zone: common utilities library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://www.ggzgamingzone.org/
Source:        http://mirrors.dotsrc.org/ggzgamingzone/ggz/%{version}/libggz-%{version}.tar.gz
License:       LGPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

# FIXME:
# checking for GGZ TLS implementation... no
#    Encryption support.yes
#      TLS library support: no

%description
The libggz library handles network, configuration file and data structure management functions as well as several convenience wrappers around glibc functions.
This package provides the run-time library of base functions common to several GGZ clients and servers.
This package is part of the GGZ Gaming Zone, a multiuser networked gaming environment.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The libggz library handles network, configuration file and data structure management functions as well as several convenience wrappers around glibc functions.
This package contains static libraries and header files need for development.

%prep
%setup -q

%build
%configure --disable-static --with-gcrypt
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libggz.so.*
%doc AUTHORS COPYING ChangeLog NEWS README README.GGZ

%files devel
%defattr(-,root,root)
%{_includedir}/ggz.h
%{_includedir}/ggz_common.h
%{_includedir}/ggz_dio.h
%{_libdir}/libggz.la
%{_libdir}/libggz.so
%{_mandir}/man3/ggz.h.*

%changelog
* Fri Aug 23 2013 Automatic Build System <autodist@mambasoft.it> 0.0.14.1-2mamba
- automatic rebuild by autodist

* Thu Aug 28 2008 Aleph0 <aleph0@openmamba.org> 0.0.14.1-1mamba
- update to 0.0.14.1

* Mon Nov 05 2007 Aleph0 <aleph0@openmamba.org> 0.0.14-1mamba
- package created by autospec
